Multiple Vulnerabilities in Microsoft Graphic Fonts Could Allow for Remote Code Execution (MS16-039)

ITS Advisory Number: 
2016-067
Date(s) Issued: 
Wednesday, April 13, 2016
Subject: 
Multiple Vulnerabilities in Microsoft Graphic Fonts Could Allow for Remote Code Execution (MS16-039)
Overview: 

Multiple vulnerabilities have been discovered in Microsoft Windows, the most severe of which could allow for remote code execution. These vulnerabilities can be exploited by either convincing a user to open a specially crafted document, convincing a user to visit a webpage that contains specially crafted embedded fonts, or by running a malicious application. Successful exploitation of these vulnerabilities could result in an attacker gaining the same privileges as the logged on user. Depending on the privileges associated with the user, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights.

 

SYSTEMS AFFECTED:

  • Windows Vista
  • Windows Server 2008, 2008 R2 (Including Server Core installations)
  • Windows 7
  • Windows 8.1, RT 8.1
  • Windows Server 2012, 2012 R2 (Including Server Core installations)
  • Windows 10
  • Microsoft Office 2007 & 2010
  • Microsoft Lync 2010 & 2013
  • Microsoft Word Viewer
  • Microsoft Live Meeting 2007 Console
  • Microsoft Skype for Business 2016
Systems Affected: 
  • Windows Vista
  • Windows Server 2008, 2008 R2 (Including Server Core installations)
  • Windows 7
  • Windows 8.1, RT 8.1
  • Windows Server 2012, 2012 R2 (Including Server Core installations)
  • Windows 10
  • Microsoft Office 2007 & 2010
  • Microsoft Lync 2010 & 2013
  • Microsoft Word Viewer
  • Microsoft Live Meeting 2007 Console
  • Microsoft Skype for Business 2016
RISK
GOVERNMENT
Large and medium government entities: 
High
Small government entities: 
High
BUSINESS
Large and medium business entities: 
High
Small business entities: 
High
Home Users: 
High
Description: 

Multiple vulnerabilities exist in Microsoft Windows, the most severe of which could allow remote code execution. The vulnerabilities are as follows:

  • A memory corruption vulnerability exists in Microsoft Windows when improperly handing specially crafted fonts that could allow for remote code execution (CVE-2016-0145).
  • Multiple privilege escalation vulnerabilities exist in all supported versions of Microsoft Windows, due to improper handling of objects in memory that could allow for arbitrary code execution. These vulnerabilities require an attacker to log on to the system before being exploited. (CVE-2016-0143, CVE-2016-0165, CVE-2016-0167)

 

Successful exploitation of these vulnerabilities could result in an attacker gaining the same privileges as the logged on user. Depending on the privileges associated with the user, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights.

Actions: 
  • After appropriate testing, apply applicable patches provided by Microsoft to vulnerable systems.
  • Run all software as a non-privileged user (one without administrative privileges) to diminish the effects of a successful attack.
  • Remind users not to visit un-trusted websites or follow links provided by unknown or un-trusted sources.
  • Inform and educate users regarding the threats posed by hypertext links contained in emails or attachments especially from untrusted sources.